> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of attachments



## OpenAPI

````yaml get /{recordType}/{alias}/{id}/attachments
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Attachments
    description: Manage the attachments of a record
  - name: Watchers
    description: Manage the watchers of a record
  - name: Comments
    description: Manage the conversation of a record
  - name: Users
    description: Manage users in your organization
  - name: Groups
    description: Manage groups and group membership
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /{recordType}/{alias}/{id}/attachments:
    get:
      tags:
        - Attachments
      summary: Get the list of attachments
      operationId: listRecordAttachments
      parameters:
        - $ref: '#/components/parameters/recordType'
        - $ref: '#/components/parameters/alias'
        - $ref: '#/components/parameters/recordId'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentList'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  parameters:
    recordType:
      name: recordType
      in: path
      description: '''apps'', ''elements'', ''tasks'', or ''transactions'''
      required: true
      schema:
        type: string
        format: string
    alias:
      name: alias
      in: path
      description: The application alias
      required: true
      schema:
        type: string
        format: string
    recordId:
      name: id
      in: path
      description: The record ID
      required: true
      schema:
        type: string
        format: string
  schemas:
    AttachmentList:
      type: array
      items:
        $ref: '#/components/schemas/Attachment'
    Attachment:
      type: object
      properties:
        id:
          type: string
          description: The attachment ID
        name:
          type: string
          description: The attachment filename
        description:
          type: string
          description: The attachment description
        mediaType:
          type: string
          description: The MIME type of the attachment
        size:
          type: integer
          description: The file size in bytes
          format: int32
        state:
          type: string
          description: >-
            The processing state of the attachment (e.g., VALID, PROCESSING,
            ERROR)
        viewState:
          type: string
          description: The visibility state of the attachment (e.g., PRIVATE, PUBLIC)
        contentUrl:
          type: string
          description: URL path to download the attachment content
        createdAt:
          type: string
          description: When the attachment was created
          format: date-time
      example:
        id: abc-123
        name: invoice.pdf
        description: Q4 Invoice
        mediaType: application/pdf
        size: 245678
        state: VALID
        viewState: PRIVATE
        contentUrl: /v1/apps/my-namespace/REC-001/attachments/abc-123/content
        createdAt: '2026-02-03T10:30:00Z'
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '404':
      description: Not Found
    '422':
      description: Unprocessable Entity
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````